Subject: bug#32932: 27.0.50; render bugs on macOS Mojave

From: Robert Pluim <[email-masked]>
Date: Mon, 10 Feb 2020 09:59:00 +0100

>>>>> On Mon, 10 Feb 2020 07:44:04 +0000, Alan Third <[email-masked]> said:

    Alan> On Sat, Feb 08, 2020 at 08:45:25AM -0800, Aaron Jensen wrote:
    >> 
    >> Yeah, unfortunately. Are you on Catalina? I can try the build on my
    >> work machine as well. It's a 2019 MBP 16", so pretty close to my 2017
    >> at home, but different. A hardware issue seems unlikely...

    Alan> No, I’m still on Mojave.

    Alan> Anyway, one last thing to try. I was reading up on how MacVim handled
    Alan> this same issue, and while their drawing techniques are quite
    Alan> different, they did find performance problems with CGLayers so
    Alan> switched to using CGImages. I’ve given that a go and I don’t think
    Alan> this patch is quite as fast here as the CGLayer one, but it may be
    Alan> faster for you.

Iʼve not measured it, but in interactive use this seems fast enough
for me (as was the previous patch).

Robert